"""Gerez des urls de l'application gestion_produit."""

from django.urls import path
from . import views

app_name = "gestion_produit"

urlpatterns = [
    path(
        "",
        views.index,
        name="index"
    ),
    path(
        "liste-categories",
        views.liste_categories,
        name="liste-categories"
    ),
    path(
        "enregistrerProduit",
        views.enregistrer_produit,
        name="enregistrement_produit"
    ),
    path(
        "detailProduit/<int:id_produit>/",
        views.detail_produit,
        name="detail_produit"
    ),
    path(
        "enregistrer-modification-produit",
        views.enregistrer_modification_produit,
        name="enregistrement_modification_produit"
    ),
    path(
        "enregistrerCommande",
        views.enregistrer_commande,
        name="enregistrement_commande"
    ),
    path(
        "enregistrerDemande",
        views.enregistrer_demande,
        name="enregistrement_demande"
    ),
    path(
        "update-demande",
        views.update_statut,
        name="update-demande"
    ),
    path(
        "liste-demandes",
        views.liste_demandes,
        name="liste-demandes"
    ),
    path(
        "liste-produit",
        views.recuperer_liste_produit,
        name="liste_produit"
    ),
    path(
        "enregistrement-categorie",
        views.enregistrer_categorie,
        name="enregistrement_categorie",
    ),
    path(
        "mouvement-de-stock",
        views.mouvement_stock,
        name="mouvement-de-stock"
    ),
    path(
        "rapport-mouvement-stock",
        views.rapport_mouvement_stock,
        name="rapport-mouvement-stock",
    ),
    path(
        "recuperer-fournisseur-categorie/<int:id_produit>",
        views.recuperer_fournisseur_par_categorie,
        name="fournisseur_categorie",
    ),
    path(
        "detailDemande/<int:id_demande>/",
        views.detail_demande,
        name="detail_demande"
    ),
]
